VST 3 SDK: ParameterValueQueue Class Reference
Author: Steinberg

VST 3 SDK VST 3.7 SDK for developing VST plug-in

Classes | Public Member Functions | Protected Attributes | List of all members
ParameterValueQueue Class Reference
Common Hosting SDK Implementation Helper Classes

Implementation's example of IParamValueQueue - not threadsave!. More...

`#include <parameterchanges.h>`

Inheritance diagram for ParameterValueQueue:

## Classes
struct | ParameterQueueValue

## Public Member Functions
| ParameterValueQueue (ParamID paramID)
virtual | ~ParameterValueQueue ()
ParamID | getParameterId () SMTG_OVERRIDE
int32 | getPointCount () SMTG_OVERRIDE
tresult | getPoint (int32 index, int32 &sampleOffset, ParamValue &value) SMTG_OVERRIDE
tresult | addPoint (int32 sampleOffset, ParamValue value, int32 &index) SMTG_OVERRIDE
void | setParamID (ParamID pID)
void | clear ()
virtual ParamID | getParameterId ()=0
virtual int32 | getPointCount ()=0
virtual tresult | getPoint (int32 index, int32 &sampleOffset, ParamValue &value)=0
virtual tresult | addPoint (int32 sampleOffset, ParamValue value, int32 &index)=0
Public Member Functions inherited from FUnknown
virtual tresult | queryInterface (const TUID _iid, void **obj)=0
virtual uint32 | addRef ()=0
virtual uint32 | release ()=0

## Protected Attributes
ParamID | paramID
std::vector< ParameterQueueValue > | values

## Additional Inherited Members
Static Public Attributes inherited from IParamValueQueue
static const FUID | iid
Static Public Attributes inherited from FUnknown
static const FUID | iid

## Detailed Description

Implementation's example of IParamValueQueue - not threadsave!.

## Constructor & Destructor Documentation

## ◆ ParameterValueQueue()

ParameterValueQueue | ( | ParamID | paramID | ) |

## ◆ ~ParameterValueQueue()

~ParameterValueQueue | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ getParameterId()

ParamID getParameterId | ( |  | ) |
| inlinevirtual

Implements IParamValueQueue.

## ◆ getPointCount()

int32 getPointCount | ( |  | ) |
| virtual

Implements IParamValueQueue.

## ◆ getPoint()

tresult getPoint | ( | int32 | index,
|  | int32 & | sampleOffset,
|  | ParamValue & | value
| ) |  |
| virtual

Implements IParamValueQueue.

## ◆ addPoint()

tresult addPoint | ( | int32 | sampleOffset,
|  | ParamValue | value,
|  | int32 & | index
| ) |  |
| virtual

Implements IParamValueQueue.

## ◆ setParamID()

void setParamID | ( | ParamID | pID | ) |
| inline

## ◆ clear()

void clear | ( |  | ) |

## Member Data Documentation

## ◆ paramID

ParamID paramID
| protected

## ◆ values

std::vector<ParameterQueueValue> values
| protected

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.